
Foreman - Bug #1086

host.info contains smart-variables, host.parameters does not.

08/04/2011 07:06 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Unattended installations   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

To allow templates to easily view a host's parameters it is desirable to restructure the host's interrogation of its parameters.

The parameters can also be cached so that multiple references do not cause multiple re-evaluation

Associated revisions

Revision b063a9bc - 08/14/2011 09:52 AM - Paul Kelly

Fixes #1086 - Add smart-variables to params output for templating

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 08/14/2011 04:27 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 08/14/2011 09:56 AM - Ohad Levy

- Category set to Unattended installations

- Target version set to 0.4

#3 - 08/14/2011 10:32 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b063a9bc1d46ca01c220b9419fba59ac86994666.
